All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
amg_base.hpp File Reference

Helper classes and functions for the AMG preconditioner. Experimental. More...

`#include <cmath>`
`#include <set>`
`#include <list>`
`#include <stdexcept>`
`#include <algorithm>`
`#include <map>`
`#include "viennacl/context.hpp"`

Go to the source code of this file.

## Classes

class | viennacl::linalg::amg_tag
| A tag for algebraic multigrid (AMG). Used to transport information from the user to the implementation. More...
struct | viennacl::linalg::detail::amg::amg_level_context

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::detail
| Namespace holding implementation details for linear algebra routines. Usually not of interest for a library user.
| viennacl::linalg::detail::amg
| Implementation namespace for algebraic multigrid preconditioner.

## Enumerations

enum | viennacl::linalg::amg_coarsening_method { viennacl::linalg::AMG_COARSENING_METHOD_ONEPASS = 1, viennacl::linalg::AMG_COARSENING_METHOD_AGGREGATION, viennacl::linalg::AMG_COARSENING_METHOD_MIS2_AGGREGATION }
| Enumeration of coarsening methods for algebraic multigrid. More...
enum | viennacl::linalg::amg_interpolation_method { viennacl::linalg::AMG_INTERPOLATION_METHOD_DIRECT = 1, viennacl::linalg::AMG_INTERPOLATION_METHOD_AGGREGATION, viennacl::linalg::AMG_INTERPOLATION_METHOD_SMOOTHED_AGGREGATION }
| Enumeration of interpolation methods for algebraic multigrid. More...

## Detailed Description

Helper classes and functions for the AMG preconditioner. Experimental.

AMG code contributed by Markus Wagner

Definition in file amg_base.hpp.